Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1298310

Summary: Review Request: nodejs-validate-npm-package-license - Give me a string and I'll tell you if it's a valid npm package license string
Product: [Fedora] Fedora Reporter: Jared Smith <jsmith.fedora>
Component: Package ReviewAssignee: Zbigniew Jędrzejewski-Szmek <zbyszek>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zbyszek
Target Milestone: ---Flags: zbyszek: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-01-15 12:47:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1298269, 1298301    
Bug Blocks: 956806    

Description Jared Smith 2016-01-13 18:04:54 UTC
Spec URL: https://jsmith.fedorapeople.org/Packaging/nodejs-validate-npm-package-license/nodejs-validate-npm-package-license.spec
SRPM URL: https://jsmith.fedorapeople.org/Packaging/nodejs-validate-npm-package-license/nodejs-validate-npm-package-license-3.0.1-1.fc24.src.rpm
Description: Give me a string and I'll tell you if it's a valid npm package license string
Fedora Account System Username: jsmith

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-01-13 22:00:21 UTC
You should shorten the summary to standard 70 chars, even though I have to admit it is cute.

%description should end in ".".

+ license is acceptable (apache 2)
+ license is correctly specified
+ license file is present, %license is used
+ latest version
+ builds and installs OK
+ provides and requires look sane
+ %check passes
+ fedora-review is happy

Package is APPROVED.

Comment 2 Zbigniew Jędrzejewski-Szmek 2016-01-13 22:00:49 UTC
rpmlint:
Checking: nodejs-validate-npm-package-license-3.0.1-1.fc24.noarch.rpm
          nodejs-validate-npm-package-license-3.0.1-1.fc24.src.rpm
nodejs-validate-npm-package-license.noarch: W: only-non-binary-in-usr-lib
nodejs-validate-npm-package-license.noarch: W: dangling-symlink /usr/lib/node_modules/validate-npm-package-license/node_modules/spdx-expression-parse /usr/lib/node_modules/spdx-expression-parse
nodejs-validate-npm-package-license.noarch: W: dangling-symlink /usr/lib/node_modules/validate-npm-package-license/node_modules/spdx-correct /usr/lib/node_modules/spdx-correct
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

All OK.

Comment 3 Patrick Uiterwijk 2016-01-14 23:14:07 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-validate-npm-package-license